% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_groq.R
\name{groq_list_models}
\alias{groq_list_models}
\title{List Available Models from the Groq API}
\usage{
groq_list_models(
  .api_url = "https://api.groq.com",
  .timeout = 60,
  .max_tries = 3,
  .dry_run = FALSE,
  .verbose = FALSE
)
}
\arguments{
\item{.api_url}{Base URL for the API (default: "https://api.groq.com").}

\item{.timeout}{Request timeout in seconds (default: 60).}

\item{.max_tries}{Maximum number of retries for the API request (default: 3).}

\item{.dry_run}{Logical; if TRUE, returns the prepared request object without executing it.}

\item{.verbose}{Logical; if TRUE, prints additional information about the request.}
}
\value{
A tibble containing model information (columns include \code{id}, \code{created}, \code{owned_by}, and \code{context_window}),
or NULL if no models are found.
}
\description{
List Available Models from the Groq API
}
