% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_claude.R
\name{list_claude_batches}
\alias{list_claude_batches}
\title{List Claude Batch Requests}
\usage{
list_claude_batches(
  .api_url = "https://api.anthropic.com/",
  .limit = 20,
  .max_tries = 3,
  .timeout = 60
)
}
\arguments{
\item{.api_url}{Base URL for the Claude API (default: "https://api.anthropic.com/").}

\item{.limit}{Maximum number of batches to retrieve (default: 20).}

\item{.max_tries}{Maximum retry attempts for requests (default: 3).}

\item{.timeout}{Request timeout in seconds (default: 60).}
}
\value{
A tibble with batch details: batch ID, status, creation time, expiration time,
and request counts (succeeded, errored, expired, canceled).
}
\description{
Retrieves batch request details from the Claude API.
}
