% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_mistral.R
\name{mistral_list_models}
\alias{mistral_list_models}
\title{List Available Models from the Mistral API}
\usage{
mistral_list_models(
  .api_url = "https://api.mistral.ai",
  .timeout = 60,
  .max_tries = 3,
  .dry_run = FALSE,
  .verbose = FALSE
)
}
\arguments{
\item{.api_url}{Base URL for the API (default: "https://api.mistral.ai").}

\item{.timeout}{Request timeout in seconds (default: 60).}

\item{.max_tries}{Maximum number of retries for the API request (default: 3).}

\item{.dry_run}{Logical; if TRUE, returns the prepared request object without executing it.}

\item{.verbose}{Logical; if TRUE, prints additional information about the request.}
}
\value{
A tibble containing model information (columns include \code{id} and \code{created}),
or NULL if no models are found.
}
\description{
List Available Models from the Mistral API
}
